Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 457002 - dev-db/redis-2.6.13 version bump
Summary: dev-db/redis-2.6.13 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Dirkjan Ochtman
URL:
Whiteboard:
Keywords: REVIEWED
Depends on:
Blocks: 467172 467174 467176 467178
  Show dependency tree
 
Reported: 2013-02-12 21:37 UTC by Johan Bergström
Modified: 2013-05-03 08:08 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
redis-2.6.11.ebuild (redis-2.6.11.ebuild,2.55 KB, text/plain)
2013-03-11 20:27 UTC, Johan Bergström
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johan Bergström 2013-02-12 21:37:29 UTC
Upstream merged  my patch for tclsh, so that's dropped - see https://github.com/antirez/redis/pull/906. Other than that, your every day version bump. I raised EAPI to 5 while at it. See verbump branch here: https://github.com/jbergstroem/gentoo-overlay/compare/redis-2.6.10


Redis changelog for 2.6.10:

UPGRADE URGENCY: MODERATE, this release contains many non-critical fixes
                 and many small improvements.

* [BUGFIX]   redis-cli --rdb, fixed when the server sends newlines to ping.
* [BUGFIX]   redis-cli, minor fixes on connection handling, prompt.
* [BUGFIX]   Slow log: don't log EXEC, just executed commands.
* [BUGFIX]   On failed shutdown don't try again and again compulsively.
* [BUGFIX]   Fix build on sunos without backtrace().
* [BUGFIX]   UNSUBSCRIBE and PUNSUBSCRIBE: always provide a reply (see 742e580)
* [BUGFIX]   Lua struct library was broken, upgraded.
* [BUGFIX]   Fix a bug in srandmemberWithCountCommand() with count argument.
* [BUGFIX]   Test: disable clients timeout to prevent issues on slow systems.
* [BUGFIX]   Sentinel: don't advertise the promoted slave as master too early.
* [IMPROVED] Whitelist SIGUSR1, see http://redis.io/topics/signals.
* [IMPROVED] Simpler to understand redis-cli --bigkeys output.
* [IMPROVED] Test now works with tclsh > 8.5.
* [IMPROVED] Added option to turn of the Nagle algorithm in slave socket.
* [IMPROVED] Optionally use SO_KEEPALIVE to detect dead peers.
Comment 1 Johan Bergström 2013-03-11 20:26:04 UTC
Renamed my 2.6.10, so if you're from an earlier revision drop the tcl patch. attached ebuild for convenience.

UPGRADE URGENCY: LOW, however updating is encouraged if you have many instances
                 per server and you want to lower the CPU / energy usage.

* [BUGFIX]   Replication: more strict error checking for master PING reply.
* [BUGFIX]   redis-cli: use keepalive socket option for improved reliability.
* [BUGFIX]   Allow AUTH while loading the DB in memory.
* [BUGFIX]   Don't segfault on unbalanced quotes while parsing config file.
* [IMPROVED] serverCron() frequency is now a runtime parameter (was REDIS_HZ).
* [IMPROVED] Use a lot less CPU when idle, even with many configured DBs.
Comment 2 Johan Bergström 2013-03-11 20:27:18 UTC
Created attachment 341746 [details]
redis-2.6.11.ebuild
Comment 3 Johan Bergström 2013-03-29 21:49:15 UTC
2.6.12 out

UPGRADE URGENCY: MODERATE, nothing very critical but a few non trivial bugs.

* [BUGFIX]   redis-cli --bigkeys: don't crash with empty DB.
* [BUGFIX]   stop-writes-on-bgsave-error now works in redis.conf
* [BUGFIX]   Don't crash at startup if RDB is there but can't be opened.
* [BUGFIX]   Initial value for master_link_down_since_seconds is now huge.
* [BUGFIX]   Allow SELECT while loading the DB.
* [BUGFIX]   Don't replicate/AOF an empty MULTI/EXEC if the transaction
             is empty or containing just read-only commands.
* [BUGFIX]   EXPIRE should not be able to resurrect keys (see issue #1026).
* [IMPROVED] Extended SET back ported from Redis 2.8 / unstable
             See http://redis.io/commands/set for more information.
* [IMPROVED] Test suite improved.
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2013-03-29 22:08:36 UTC
Any ebuild changes?
Comment 5 Johan Bergström 2013-03-30 07:36:58 UTC
(In reply to comment #4)
> Any ebuild changes?

Hey Markos,
nope. Full commit history since 2.6.9 here:
https://github.com/jbergstroem/gentoo-overlay/compare/redis-2.6.12
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2013-03-30 10:34:41 UTC
The ebuild looks ok to me then
Comment 7 Johan Bergström 2013-05-02 22:57:53 UTC
2.6.13 out. New proposed branch to merge: https://github.com/jbergstroem/gentoo-overlay/compare/redis-2.6.13

Adding blocks to other bugs since this merge would fix them (please review though).
Comment 8 Dirkjan Ochtman (RETIRED) gentoo-dev 2013-05-03 08:08:42 UTC
Done, thanks! (And sorry for the long wait.)